Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.xml.sax
Class Sax2XMLReaderCreator

    java.lang.Object
      |
      +--com.thaiopensource.xml.sax.Sax2XMLReaderCreator

All Implemented Interfaces:
  XMLReaderCreator

public class Sax2XMLReaderCreator
extends Object
implements XMLReaderCreator

An `XMLReaderCreator` that creates `XMLReader`s using the SAX2 `XMLReaderFactory`. An instance of this class is safe for concurrent access by multiple threads.

Author:
  James Clark
See Also:
  `XMLReaderFactory`

Constructor Summary
`Sax2XMLReaderCreator()` Constructs a `Sax2XMLReaderCreator` that uses system defaults to construct `XMLReader`s.
`Sax2XMLReaderCreator(String className)` Constructs a `Sax2XMLReaderCreator` that constructs `XMLReader`s with the specified class name.

Method Summary
`XMLReader` | `createXMLReader()` Creates a new `XMLReader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sax2XMLReaderCreator

    public Sax2XMLReaderCreator()

  Constructs a `Sax2XMLReaderCreator` that uses system defaults to construct `XMLReader`s.

### Sax2XMLReaderCreator

    public Sax2XMLReaderCreator(String className)

  Constructs a `Sax2XMLReaderCreator` that constructs `XMLReader`s with the specified class name.

Parameters:
  `className` - the fully-qualified name of the class implementing `XMLReader`; if `null` equivalent to the no-argument constructor

Method Detail

### createXMLReader

    public XMLReader createXMLReader()
                              throws SAXException

  Description copied from interface: `XMLReaderCreator`
  Creates a new `XMLReader`.

  Specified by:
    `createXMLReader` in interface `XMLReaderCreator`
  Returns:
    a new `XMLReader`; never `null`
  Throws:
    `SAXException` - If an `XMLReader` cannot be created for any reason

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD